Subject: Re: bug#25670: Feature request: ignore --help in --script mode

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 10 Feb 2017 11:52:50 -0500

On 2017-02-10 10:05, Ted Zlatanov wrote:
> On Thu, 9 Feb 2017 16:00:59 -0500 Clément Pit--Claudel <[email-masked]> wrote: 
> 
> CP> More generally, could we guarantee that options that appear *after* "--script" aren't processed by Emacs itself (and instead left to the script)?  Or would that break things?
> 
> Typically I've seen "--" used to indicate the end of parseable options.
> Would it help?

Yes! And in fact it seems to work :) Neat.

$ emacs -Q --batch --eval '(print argv)' -- --help
("--" "--help")

I see now that it was mentioned in http://www.lunaryorn.com/posts/emacs-script-pitfalls.html.  Not sure how I missed it.

Thanks Ted!
Clément.